Tag: android gradle

Gradle exclut les armes arm64

J'ai une application comprenant deux bibliothèques, où les deux ont des dépendances sur les bibliothèques autochtones. Les deux sont inclus en utilisant gradle pour que la structure ressemble à ceci: MyApp – Libary1 — x86, armeabi native libs – Library2 — Library3 — x86, armeabi, arm64-v8a Je souhaite supprimer le support arm64, car j'aurais aussi […]

Erreur lors de l'installation de l'application du package

Je travaille sur une application Android et tout fonctionne bien lorsque je la développe dans mon système local et que je cours sur un émulateur, mais dès que je crée et libère et installe Apk sur mon téléphone, il se bloque avec une erreur. There was an error parsing the package Comme vous pouvez le […]

Android Gradle – Ajouter packageNameSuffix sur un produit spécifiqueFlavor

J'ai un projet Android Gradle avec ce produit Groupes et configuration Flavors: /* * Define different flavor groups */ flavorGroups 'market', 'version' /* * Defile product flavors */ productFlavors { amazon { flavorGroup 'market' } google { flavorGroup 'market' } flav1 { flavorGroup 'version' packageName 'com.company.flav1' } flav2 { flavorGroup 'version' packageName 'com.company.flav2' } flav3 […]

Quelle est la différence entre compileSdkVersion 'Google Inc.: API de Google: 23' et compileSdkVersion 23

Dans le fichier Gradle.build, je vois certains projets en utilisant compileSdkVersion="'Google Inc.:Google APIs:23" Et certains utilisent simplement le numéro compileSdkVersion="23" Quelle est la différence entre les deux?

La version progressive de force de gradle sur les bibliothèques tierces?

Comment puis-je forcer une bibliothèque à utiliser sdk build tools 19.1.0 ou plus sans forcer / éditer manuellement le fichier build.gradle pour la bibliothèque? Je continue d'obtenir cette erreur lors de l'utilisation de bibliothèques … Error:The SDK Build Tools revision (…….) is too low for project ':somelibrary'. Minimum required is 19.1.0

MANIFEST FUSION: Il est possible de voir le Manifeste mixte résultant?

J'ai un module de bibliothèque avec un énorme manifeste. De plus, j'ai un module d'application avec un énorme manifeste très similaire à mon manifeste de bibliothèque mais avec des modifications de nom de package. Maintenant, je veux voir le manifeste mixte résultant du processus Manifeste Fusion. Comment puis-je le voir?

Android Studio: Impossible de compléter l'exécution de gradle. La cause est vide

J'ai essayé de définir différentes options de Gradle Vm de toutes les réponses trouvées sur stackoverflow, mais rien ne semble fonctionner. Je suis sur Android Studio 1.2.2. Je reçois cette erreur lorsque j'essaie d'exécuter l'application sur l'émulateur ou le dispositif. La seule chose qui fonctionne pour moi, c'est que je dois configurer un nouveau projet […]

La tâche de Gradle pour changer un boolean dans la configuration de la construction

Je voudrais créer une tâche très simple qui modifie un boolean dans ma configuration gradle. Je travaille sur une application Android qui peut être exécutée avec plusieurs profils, et pour chaque build, il faut préciser si dans mon code, l'application doit fausser le bluetooth ou non. My gradle (code pertinent): def fakeBluetooth = "true" buildTypes […]

Butterknife 8.1.0 ne fonctionne pas avec JDK 1.8 dans Android Studio 2.1.2

Je suis assez nouveau sur Android, Android Studio, Butterknife et le système de compilation Gradle. Cependant, je ne suis pas nouveau sur Java, ou en programmation en général. J'essaie de créer une application Android avec JDK 1.8 et Butterknife version 8.1.0, mais la compilation de Gradle continue de défaillir en disant: Erreur: Impossible de trouver […]

Dupliquer les fichiers lors de l'ajout de compilation avec Gradle dans Android Studio

J'essaie d'ajouter Jackson à mon projet Android Studio, je le fais en l'ajoutant aux dépendances de gradle: dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:appcompat-v7:19.+' compile 'com.android.support:support-v4:19.+' compile files('libs/universal-image-loader-1.9.2.jar') compile 'com.google.android.gms:play-services:+' compile 'com.fasterxml.jackson.core:jackson-databind:2.4.3' } Gradle build fonctionne bien, mais quand je veux exécuter des tests dans Android Studio, il me donne l'erreur suivante: Error:Gradle: […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.